Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_Context Class Reference

`#include <Context.h>`

List of all members.

## Public Types
typedef CORBA_Context_ptr | _ptr_type
typedef CORBA_Context_var | _var_type
## Public Methods
| CORBA_Context (void)
| ~CORBA_Context (void)
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
const char* | context_name (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) const
CORBA_Context_ptr | parent (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) const
void | create_child (const char *child_ctx_name, CORBA_Context_out child_ctx, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
void | set_one_value (const char *propname, const CORBA_Any &propvalue, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
void | set_values (CORBA::NVList_ptr values, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
void | delete_values (const char *propname, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
void | get_values (const char *start_scope, CORBA::Flags op_flags, const char *pattern, CORBA::NVList_ptr &values, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
## Static Public Methods
CORBA_Context* | _duplicate (CORBA_Context*)
CORBA_Context* | _nil (void)
## Private Attributes
CORBA::ULong | refcount_
TAO_SYNCH_MUTEX | refcount_lock_

## Member Typedef Documentation

typedef CORBA_Context_ptr CORBA_Context::_ptr_type

typedef CORBA_Context_var CORBA_Context::_var_type

## Constructor & Destructor Documentation

CORBA_Context::CORBA_Context ( | void )

CORBA_Context::~CORBA_Context ( | void )

## Member Function Documentation

CORBA::ULong CORBA_Context::_decr_refcnt ( | void )

CORBA_Context* CORBA_Context::_duplicate ( | CORBA_Context * )`[static]`

CORBA::ULong CORBA_Context::_incr_refcnt ( | void )

ACE_INLINE CORBA_Context_ptr CORBA_Context::_nil ( | void )`[static]`

const char * CORBA_Context::context_name ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) const

void CORBA_Context::create_child ( | const char * child_ctx_name,
| CORBA_Context_out child_ctx,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_Context::delete_values ( | const char * propname,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_Context::get_values ( | const char * start_scope,
| CORBA::Flags op_flags,
| const char * pattern,
| CORBA::NVList_ptr & values,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

CORBA_Context_ptr CORBA_Context::parent ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) const

void CORBA_Context::set_one_value ( | const char * propname,
| const CORBA_Any & propvalue,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_Context::set_values ( | CORBA::NVList_ptr values,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

## Member Data Documentation

CORBA::ULong CORBA_Context::refcount_`[private]`

TAO_SYNCH_MUTEX CORBA_Context::refcount_lock_`[private]`

The documentation for this class was generated from the following files:

- Context.h
- Context.cpp
- Context.inl